org.apache.cassandra.schema

## Class Tables.Builder

- java.lang.Object
- - org.apache.cassandra.schema.Tables.Builder

- Enclosing class:
    Tables

      public static final class Tables.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tables.Builder` | `add(CFMetaData... tables)`
    `Tables.Builder` | `add(CFMetaData table)`
    `Tables.Builder` | `add(java.lang.Iterable<CFMetaData> tables)`
    `Tables` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public Tables build()

    - #### add

          public Tables.Builder add(CFMetaData table)

    - #### add

          public Tables.Builder add(CFMetaData... tables)

    - #### add

          public Tables.Builder add(java.lang.Iterable<CFMetaData> tables)

Copyright © 2018 The Apache Software Foundation